booster::locale::message_format< CharType > Class Template Referenceabstract
Message Formatting (translation)

This facet provides message formatting abilities. More...

`#include <booster/booster/locale/message.h>`

Inheritance diagram for booster::locale::message_format< CharType >:

## Public Types

typedef CharType | char_type
typedef std::basic_string < CharType > | string_type

## Public Member Functions

| message_format (size_t refs=0)
virtual char_type const * | get (int domain_id, char_type const *context, char_type const *id) const =0
virtual char_type const * | get (int domain_id, char_type const *context, char_type const *single_id, int n) const =0
virtual int | domain (std::string const &domain) const =0
virtual char_type const * | convert (char_type const *msg, string_type &buffer) const =0

## Detailed Description

### template<typename CharType>
class booster::locale::message_format< CharType >

This facet provides message formatting abilities.

The documentation for this class was generated from the following file:

- booster/locale/message.h